<template>
 <section>
  <h3>Repositories</h3>

  <ul class="demo-list-two mdl-list">
  <li class="mdl-list__item mdl-list__item--two-line" v-for="item in userRepositories" v-bind:key="item.id">
     <span class="mdl-list__item-primary-content">
       <span class="mdl-list__item-sub-title">Name: {{item.name}}</span>
       <span class="mdl-list__item-sub-title">{{item.description}}</span>
     </span>
       <!-- <span class="mdl-list__item-sub-title">{{item.repos}} Repositories</span>
      <span class="mdl-list__item-sub-title">{{item.followers}} Followers</span> -->
     <!-- <span class="mdl-list__item-primary-content">
       <span class="mdl-list__item-sub-title">Description: {{item.description}}</span>
     </span> -->
 <span class="mdl-list__item-primary-content">
      <span  class="mdl-list__item-title">Language: {{item.language}}</span>
    </span>
    
    <span class="mdl-list__item-secondary-content">
      <span class="mdl-list__item-secondary-info">Git Url:</span>
      <a class="mdl-list__item-secondary-action" v-bind:href="'#/user/'+item.html_url"><i class="material-icons">link</i></a>
    </span>
  </li>
  
</ul>
</section>
</template>

<script>
import { mapState } from "vuex";

export default {
  name: "Repository",
   computed: {
     ...mapState(["userRepositories"])
  },
  mounted:function(){
         this.getFollowers() //method will execute at pageload
  },
  methods: {
    getFollowers() {
      console.log('methods')
       this.$store.dispatch("getRepositories", this.$route.params.username);
    }
  }
};
</script>
